diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java
index 1a615974d0..1775797d76 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationBase.java
@@ -14,6 +14,7 @@ import java.util.HashSet;
 import java.util.Map;
 import java.util.Set;
 
+import javax.persistence.Column;
 import javax.persistence.Entity;
 import javax.persistence.FetchType;
 import javax.persistence.Inheritance;
@@ -27,6 +28,7 @@ import javax.validation.constraints.Min;
 import javax.validation.constraints.NotNull;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
+import javax.xml.bind.annotation.XmlAttribute;
 import javax.xml.bind.annotation.XmlElement;
 import javax.xml.bind.annotation.XmlElementWrapper;
 import javax.xml.bind.annotation.XmlIDREF;
@@ -40,37 +42,41 @@ import org.hibernate.annotations.Cascade;
 import org.hibernate.annotations.CascadeType;
 import org.hibernate.annotations.Index;
 import org.hibernate.annotations.Table;
+import org.hibernate.annotations.Type;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Analyze;
+import org.hibernate.search.annotations.ContainedIn;
 import org.hibernate.search.annotations.Field;
 import org.hibernate.search.annotations.IndexedEmbedded;
 import org.hibernate.search.annotations.NumericField;
 
 import eu.etaxonomy.cdm.jaxb.MultilanguageTextAdapter;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.IMultiLanguageTextHolder;
+import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.MultilanguageText;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.description.DescriptionBase;
-import eu.etaxonomy.cdm.model.description.Sex;
 import eu.etaxonomy.cdm.model.description.SpecimenDescription;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.description.TaxonDescription;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
-import eu.etaxonomy.cdm.model.media.IdentifiableMediaEntity;
 import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 
 /**
  * type figures are observations with at least a figure object in media
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:41
  */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "SpecimenOrObservationBase", propOrder = {
+	"recordBasis",
+	"publish",
 	"sex",
-    "individualCount",
-    "lifeStage",
+	"lifeStage",
+    "kindOfUnit",
+	"individualCount",
     "definition",
     "descriptions",
     "determinations",
@@ -81,17 +87,38 @@ import eu.etaxonomy.cdm.strategy.cache.common.IIdentifiableEntityCacheStrategy;
 @Audited
 @Inheritance(strategy=InheritanceType.SINGLE_TABLE)
 @Table(appliesTo="SpecimenOrObservationBase", indexes = { @Index(name = "specimenOrObservationBaseTitleCacheIndex", columnNames = { "titleCache" }) })
-public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCacheStrategy> extends IdentifiableMediaEntity<S> implements IMultiLanguageTextHolder{
-
+public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCacheStrategy> extends IdentifiableEntity<S> implements IMultiLanguageTextHolder{
+	private static final long serialVersionUID = 6932680139334408031L;
 	private static final Logger logger = Logger.getLogger(SpecimenOrObservationBase.class);
 
+	/**
+	 * An indication of what the unit record describes.
+	 * 
+	 * NOTE: The name of the attribute was chosen against the common naming conventions of the CDM
+	 * as it is well known in common standards like ABCD and DarwinCore. According to CDM naming
+	 * conventions it would specimenOrObservationType. 
+	 * 
+	 * @see ABCD: DataSets/DataSet/Units/Unit/RecordBasis
+	 * @see Darwin Core: http://wiki.tdwg.org/twiki/bin/view/DarwinCore/BasisOfRecord 
+	 */
+	@XmlAttribute(name ="RecordBasis")
+	@Column(name="recordBasis")
+	@NotNull
+    @Type(type = "eu.etaxonomy.cdm.hibernate.EnumUserType",
+    	parameters = {@org.hibernate.annotations.Parameter(name  = "enumClass", value = "eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType")}
+    )
+	private SpecimenOrObservationType recordBasis;
+
+	
 	@XmlElementWrapper(name = "Descriptions")
 	@XmlElement(name = "Description")
-	@ManyToMany(fetch = FetchType.LAZY,mappedBy="describedSpecimenOrObservations",targetEntity=DescriptionBase.class)
+	@OneToMany(mappedBy="describedSpecimenOrObservation", fetch = FetchType.LAZY)
 	@Cascade(CascadeType.SAVE_UPDATE)
-	@NotNull
+    @ContainedIn
+    @NotNull
 	private Set<DescriptionBase> descriptions = new HashSet<DescriptionBase>();
-
+	
+	
 	@XmlElementWrapper(name = "Determinations")
 	@XmlElement(name = "Determination")
 	@OneToMany(mappedBy="identifiedUnit", orphanRemoval=true)
@@ -104,13 +131,27 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 	@XmlIDREF
 	@XmlSchemaType(name = "IDREF")
 	@ManyToOne(fetch = FetchType.LAZY)
-	private Sex sex;
+	private DefinedTerm sex;
 
 	@XmlElement(name = "LifeStage")
 	@XmlIDREF
 	@XmlSchemaType(name = "IDREF")
 	@ManyToOne(fetch = FetchType.LAZY)
-	private Stage lifeStage;
+	private DefinedTerm lifeStage;
+	
+	/**
+	 * Part(s) of organism or class of materials represented by this unit.
+	 * Example: fruits, seeds, tissue, gDNA, leaves
+	 * 
+	 * @see ABCD: DataSets/DataSet/Units/Unit/KindOfUnit
+	 * @see TermType#KindOfUnit
+	 */
+	@XmlElement(name = "KindOfUnit")
+    @XmlIDREF
+    @XmlSchemaType(name = "IDREF")
+    @ManyToOne(fetch = FetchType.LAZY)
+//    @IndexedEmbedded(depth=1)
+	private DefinedTerm kindOfUnit;
 
 	@XmlElement(name = "IndividualCount")
 	@Field(analyze = Analyze.NO)
@@ -138,14 +179,62 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
     @Cascade({CascadeType.SAVE_UPDATE, CascadeType.DELETE})
     @NotNull
 	protected Set<DerivationEvent> derivationEvents = new HashSet<DerivationEvent>();
+    
+    @XmlAttribute(name = "publish")
+    private boolean publish = true;
+
+
+//********************************** CONSTRUCTOR *********************************/	
+
+  	//for hibernate use only
+  	@Deprecated
+  	protected SpecimenOrObservationBase(){super();}
+
+	protected SpecimenOrObservationBase(SpecimenOrObservationType recordBasis) {
+		super();
+		if (recordBasis == null){ throw new IllegalArgumentException("RecordBasis must not be null");}
+		this.recordBasis = recordBasis;
+	}
+	
+//************************* GETTER / SETTER ***********************/	
 
 	/**
-	 * Constructor
+	 * @see #recordBasis
+	 * @return
 	 */
-	protected SpecimenOrObservationBase(){
-		super();
+	public SpecimenOrObservationType getRecordBasis() {
+		return recordBasis;
+	}
+
+	/**
+     * @see #recordBasis
+	 * @param recordBasis
+	 */
+	public void setRecordBasis(SpecimenOrObservationType recordBasis) {
+		this.recordBasis = recordBasis;
+	}
+	
+
+	/**
+	 * Returns the boolean value indicating if this specimen or observation should be withheld 
+	 * (<code>publish=false</code>) or not (<code>publish=true</code>) during any publication
+	 * process to the general public.
+	 * This publish flag implementation is preliminary and may be replaced by a more general 
+	 * implementation of READ rights in future.<BR>
+	 * The default value is <code>true</code>.
+	 */
+	public boolean isPublish() {
+		return publish;
 	}
 
+	/**
+	 * @see #isPublish()
+	 * @param publish
+	 */
+	public void setPublish(boolean publish) {
+		this.publish = publish;
+	}
+	
 	/**
 	 * The descriptions this specimen or observation is part of.<BR>
 	 * A specimen can not only have it's own {@link SpecimenDescription specimen description }
@@ -190,7 +279,8 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 		return specimenDescriptions;
 	}
 	/**
-	 * Returns the {@link SpecimenDescription specimen descriptions} this specimen is part of.
+	 * Returns the {@link SpecimenDescription specimen descriptions} which act as an image gallery
+	 * and which this specimen is part of.
 	 * @see #getDescriptions()
 	 * @return
 	 */
@@ -207,18 +297,17 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 		return specimenDescriptions;
 	}
 
+	
 	/**
 	 * Adds a new description to this specimen or observation
 	 * @param description
 	 */
 	public void addDescription(DescriptionBase description) {
-		this.descriptions.add(description);
-		if (! description.getDescribedSpecimenOrObservations().contains(this)){
-			description.addDescribedSpecimenOrObservation(this);
+		if (description.getDescribedSpecimenOrObservation() != null){
+			description.getDescribedSpecimenOrObservation().removeDescription(description);
 		}
-//		Method method = ReflectionUtils.findMethod(SpecimenDescription.class, "addDescribedSpecimenOrObservation", new Class[] {SpecimenOrObservationBase.class});
-//		ReflectionUtils.makeAccessible(method);
-//		ReflectionUtils.invokeMethod(method, description, new Object[] {this});
+		descriptions.add(description);
+		description.setDescribedSpecimenOrObservation(this);
 	}
 
 	/**
@@ -226,13 +315,10 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 	 * @param description
 	 */
 	public void removeDescription(DescriptionBase description) {
-		this.descriptions.remove(description);
-		if (description.getDescribedSpecimenOrObservations().contains(this)){
-			description.removeDescribedSpecimenOrObservation(this);
-		}
-//		Method method = ReflectionUtils.findMethod(SpecimenDescription.class, "removeDescribedSpecimenOrObservations", new Class[] {SpecimenOrObservationBase.class});
-//		ReflectionUtils.makeAccessible(method);
-//		ReflectionUtils.invokeMethod(method, description, new Object[] {this});
+        boolean existed = descriptions.remove(description);
+        if (existed){
+        	description.setDescribedSpecimenOrObservation(null);
+        }
 	}
 
 	public Set<DerivationEvent> getDerivationEvents() {
@@ -270,25 +356,37 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 		this.determinations.remove(determination);
 	}
 
-	public Sex getSex() {
+	public DefinedTerm getSex() {
 		return sex;
 	}
 
-	public void setSex(Sex sex) {
+	public void setSex(DefinedTerm sex) {
 		this.sex = sex;
 	}
 
-	public Stage getLifeStage() {
+	public DefinedTerm getLifeStage() {
 		return lifeStage;
 	}
 
-	public void setLifeStage(Stage lifeStage) {
+	public void setLifeStage(DefinedTerm lifeStage) {
 		this.lifeStage = lifeStage;
 	}
+	
 
-	@Override
-	public String generateTitle(){
-		return getCacheStrategy().getTitleCache(this);
+	/**
+	 * @see #kindOfUnit
+	 * @return
+	 */
+	public DefinedTerm getKindOfUnit() {
+		return kindOfUnit;
+	}
+
+	/**
+	 * @see #kindOfUnit
+	 * @param kindOfUnit
+	 */
+	public void setKindOfUnit(DefinedTerm kindOfUnit) {
+		this.kindOfUnit = kindOfUnit;
 	}
 
 	public Integer getIndividualCount() {
@@ -303,21 +401,6 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 		return this.definition;
 	}
 
-	/**
-	 * adds the {@link LanguageString description} to the {@link MultilanguageText multilanguage text}
-	 * used to define <i>this</i> specimen or observation.
-	 *
-	 * @param description	the languageString in with the title string and the given language
-	 *
-	 * @see    	   		#getDefinition()
-	 * @see    	   		#putDefinition(Language, String)
-	 * @deprecated 		should follow the put semantic of maps, this method will be removed in v4.0
-	 * 					Use the {@link #putDefinition(LanguageString) putDefinition} method instead
-	 */
-	@Deprecated
-	public void addDefinition(LanguageString description){
-		this.putDefinition(description);
-	}
 	/**
 	 * adds the {@link LanguageString description} to the {@link MultilanguageText multilanguage text}
 	 * used to define <i>this</i> specimen or observation.
@@ -330,23 +413,7 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 	public void putDefinition(LanguageString description){
 		this.definition.put(description.getLanguage(),description);
 	}
-	/**
-	 * Creates a {@link LanguageString language string} based on the given text string
-	 * and the given {@link Language language} and adds it to the {@link MultilanguageText multilanguage text}
-	 * used to define <i>this</i> specimen or observation.
-	 *
-	 * @param language	the language in which the title string is formulated
-	 * @param text		the definition in a particular language
-	 *
-	 * @see    	   		#getDefinition()
-	 * @see    	   		#putDefinition(LanguageString)
-	 * @deprecated		should follow the put semantic of maps, this method will be removed in v4.0
-	 * 					Use the {@link #putDefinition(Language String) putDefinition} method instead
-	 */
-	@Deprecated
-	public void addDefinition( String text, Language language){
-		this.putDefinition(language, text);
-	}
+
 	/**
 	 * Creates a {@link LanguageString language string} based on the given text string
 	 * and the given {@link Language language} and adds it to the {@link MultilanguageText multilanguage text}
@@ -422,4 +489,6 @@ public abstract class SpecimenOrObservationBase<S extends IIdentifiableEntityCac
 		//no changes to: individualCount
 		return result;
 	}
+
+
 }
\ No newline at end of file
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationType.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationType.java
new file mode 100644
index 0000000000..d7676bff62
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/occurrence/SpecimenOrObservationType.java
@@ -0,0 +1,351 @@
+// $Id$
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.model.occurrence;
+
+import java.io.Serializable;
+import java.util.Set;
+import java.util.UUID;
+
+import javax.xml.bind.annotation.XmlEnum;
+import javax.xml.bind.annotation.XmlEnumValue;
+
+import org.apache.log4j.Logger;
+
+import eu.etaxonomy.cdm.model.common.EnumeratedTermVoc;
+import eu.etaxonomy.cdm.model.common.IEnumTerm;
+import eu.etaxonomy.cdm.model.common.Language;
+import eu.etaxonomy.cdm.model.description.Feature;
+import eu.etaxonomy.cdm.model.description.IndividualsAssociation;
+
+
+/**
+ * The specimen or observation type is used to define what a {@link SpecimenOrObservationBase specimen or observation} 
+ * instance describes, may it be a {@link FieldUnit field unit} or a 
+ * {@link DerivedUnit derived unit}.<BR>
+ * The vocabulary used derives mainly from the according vocabularies in ABCD, Darwin Core as well
+ * as from the former (before v3.3) CDM subclasses of {@link SpecimenOrObservationBase}.
+ * <BR><BR>
+ * In future versions this enum may also be expressed as a term, not an enum. For now the general policy is to 
+ * transform former classes to general classes with enums as their types.
+ * 
+ * @author a.mueller
+ * @created 27.06.2013
+ */
+@XmlEnum
+public enum SpecimenOrObservationType implements IEnumTerm<SpecimenOrObservationType>, Serializable{
+	
+	//0
+	/**
+	 * Unknown specimen or observation the type to be used if no information is available about the type.
+	 * This type should be avoided if possible. In terms of doubtful occurrences one may consider to
+	 * use "DerivedUnit", "Observation" or "OtherSpecimen" instead.
+	 */
+	@XmlEnumValue("Unknown")
+	Unknown(UUID.fromString("971a0c72-d4d2-4e41-8520-c9a87df34f48"), "Unknown term type","UN", null),
+
+	//5
+	/**
+	 * Generalization for all specimen or observation except for FieldUnits. One should use DerivedUnit
+	 * only if no further specialization is available.
+	 * Derived from the former (before v3.3.) CDM class "DerivedUnit".  
+	 */
+	@XmlEnumValue("DerivedUnit")
+	DerivedUnit(UUID.fromString("da80443a-360b-4861-abeb-21e13beb5186"), "Derived Unit", "DU", null),
+	
+	//1
+	/**
+	 * A physical object representing one or more organisms, part of organism, or artifact(s) of an organism.
+	 * Specialization of {@link SpecimenOrObservationType#DerivedUnit}.
+	 */
+	@XmlEnumValue("PreservedSpecimen")
+	PreservedSpecimen(UUID.fromString("95cd9246-4131-444f-ad2f-3b24ca294a1f"), "Preserved Specimen", "PS", DerivedUnit),
+	
+	//2
+	/**
+	 * Specialization of PreservedSpecimen, indicating that a specimen is a fossil or is derived 
+	 * from a fossil.
+	 * Specialization of {@link SpecimenOrObservationType#PreservedSpecimen}.
+	 */
+	@XmlEnumValue("FossilSpecimen")
+	Fossil(UUID.fromString("1b0f8534-35eb-4c64-8e53-69e734043bd6"), "Fossil Specimen", "FS", PreservedSpecimen),
+
+	//3
+	/**
+	 * An organism removed from its natural occurrence and now living in captivity or cultivation
+	 * Specialization of {@link SpecimenOrObservationType#DerivedUnit}.
+	 */
+	@XmlEnumValue("LivingSpecimen")
+	LivingSpecimen(UUID.fromString("bc46169e-4d31-4eae-b5aa-1ddf0520c9a9"), "Living Specimen (ex situ)", "LS", DerivedUnit),
+
+	//4
+	/**
+	 * All specimen types not covered by existing types.
+	 * Specialization of {@link SpecimenOrObservationType#DerivedUnit}.  
+	 */
+	//TODO does ABCD allow to use this also for Observations?
+	@XmlEnumValue("OtherSpecimen")
+	OtherSpecimen(UUID.fromString("b636da6a-b48f-4084-9594-25ea82429b70"), "Other Specimen", "OS", DerivedUnit),
+
+	//6
+	/**
+	 * Generalization for all observations, may they be human observations or machine observations.
+	 * Derived from the former (before v3.3) CDM class "Observation".
+	 * Specialization of {@link SpecimenOrObservationType#DerivedUnit}. //TODO verify #3619
+	 */
+	@XmlEnumValue("Observation")
+	Observation(UUID.fromString("a8a254f1-7bed-47ec-bbee-86a794819c3b"), "Observation", "OB", DerivedUnit),
+
+	//7
+	/**
+	 * Type for all observations made by a human.
+	 * Specialization of {@link SpecimenOrObservationType#Observation}.
+	 */
+	@XmlEnumValue("HumanObservation")
+	HumanObservation(UUID.fromString("b960c06d-4bfc-4bea-bc53-aec0600409b1"), "Human Observation", "HO", Observation),
+
+	//8
+	/**
+	 * Type for all observations made by a machine.
+	 * Specialization of {@link SpecimenOrObservationType#Observation}.
+	 */
+	@XmlEnumValue("MachineObservation")
+	MachineObservation(UUID.fromString("b12a13fc-0f61-4055-b9b7-4eabd417c54c"), "Machine Observation", "MO", Observation),
+
+	//8a
+	/**
+	 * Type for all tissue samples.
+	 * Specialization of {@link SpecimenOrObservationType#PreservedSpecimen}.
+	 */
+	@XmlEnumValue("TissueSample")
+	TissueSample(UUID.fromString("3ad39d74-9bb3-4f9c-b261-8f5637bef582"), "Tissue Sample", "TS", PreservedSpecimen),
+
+	//8b
+	/**
+	 * Type for all DNA Samples.
+	 * Specialization of {@link SpecimenOrObservationType#TissueSample}.
+	 */
+	@XmlEnumValue("DnaSample")
+	DnaSample(UUID.fromString("6a724560-bdfa-41c9-b459-ab0f1fc74902"), "Dna Sample", "DS", TissueSample),
+
+	//9
+	/**
+	 * Generalization for all types of media (StillImage, MovingImage, SoundRecording, MultiMedia).
+	 * One should try to use a specialization instead of using the general type Media.
+	 */
+	@XmlEnumValue("Media")
+	Media(UUID.fromString("0efa6b3e-e67a-49d4-a758-f3fc688901a7"), "Media", "ME", null),
+
+	
+	//10
+	/**
+	 * A photograph, drawing, painting or similar.
+	 * Specialization of {@link SpecimenOrObservationType#Media}.
+	 */
+	@XmlEnumValue("StillImage")
+	StillImage(UUID.fromString("a8d9ada5-7f22-4fcf-8693-ae68d527289b"), "Still Image", "SI", Media),
+
+	//11
+	/**
+	 * A sequence of still images taken at regular intervals and intended to be played back as a moving image; 
+	 * may include sound.
+	 * Specialization of {@link SpecimenOrObservationType#Media}.
+	 */
+	@XmlEnumValue("MovingImage")
+	MovingImage(UUID.fromString("56722418-9398-4367-afa1-46982fb93959"), "Moving Image", "MI", Media),
+
+	//12
+	/**
+	 * An audio recording.
+	 * Specialization of {@link SpecimenOrObservationType#Media}.
+	 */
+	@XmlEnumValue("SoundRecording")
+	SoundRecording(UUID.fromString("2a39ec19-4aae-4b74-bc5c-578c5dc94e7d"), "Moving Image", "SR", Media),
+
+	//13
+	/**
+	 * Any multi-media object which is not covered by DrawingOrPhoto, MovingImage or SoundRecording.
+	 * Specialization of {@link SpecimenOrObservationType#Media}.
+	 */
+	@XmlEnumValue("Multimedia")
+	Multimedia(UUID.fromString("bfe3fef8-d294-4554-847a-c9d8a6b74313"), "Multimedia Object", "MM", Media),
+	
+	//14
+	/**
+	 * Type for all field data belonging to a particular object or observation or a set of these.
+	 * Derived from the former (before v3.3 CDM class "FieldUnit".
+	 */
+	//TODO do we really need an own type for FieldUnit or is this covered by any of the other 
+	//types (e.g. Observation)
+	@XmlEnumValue("FieldUnit")
+	FieldUnit(UUID.fromString("d38d22db-17f9-45ba-a32f-32393788726f"), "Field Unit", "FU", null),	
+	;
+	
+	@SuppressWarnings("unused")
+	private static final Logger logger = Logger.getLogger(SpecimenOrObservationType.class);
+
+	
+	private SpecimenOrObservationType(UUID uuid, String defaultString, String key){
+		this(uuid, defaultString, key, null);
+		System.out.println("SpecimenOrObservationType hierarchie not yet fully implemented");
+	}
+	
+	private SpecimenOrObservationType(UUID uuid, String defaultString, String key, SpecimenOrObservationType parent){
+		delegateVocTerm = EnumeratedTermVoc.addTerm(getClass(), this, uuid, defaultString, key, parent);
+	}
+
+	
+	/**
+	 * Returns <code>true</code>, if it seems to make sense to use the {@link Feature feature}
+	 * {@link Feature#OBSERVATION() observation} for creating an {@link IndividualsAssociation individuals association}. 
+	 */
+	public boolean isFeatureObservation() {
+		if (this == Observation || this == HumanObservation || this == MachineObservation 
+			){
+			return true;
+		}else{
+			return false;
+		}
+	}
+	
+	/**
+	 * Returns <code>true</code>, if it seems to make sense to use the {@link Feature feature}
+	 * {@link Feature#SPECIMEN() specimen} for creating an {@link IndividualsAssociation individuals association}. 
+	 */
+	public boolean isFeatureSpecimen() {
+		if (isPreservedSpecimen() || this == LivingSpecimen || this == SpecimenOrObservationType.OtherSpecimen
+			){
+			return true;
+		}else{
+			return false;
+		}
+	}
+	
+	/**
+	 * @return true if this type represents a preserved specimen or one of its specializations.
+	 */
+	public boolean isPreservedSpecimen() {
+//		if (this == PreservedSpecimen || this == Fossil
+		if (isKindOf(PreservedSpecimen) || this == PreservedSpecimen 
+			){
+			return true;
+		}else{
+			return false;
+		}
+	}
+	
+	/**
+	 * Any field unit. 
+	 * @return
+	 */
+	public boolean isFieldUnit() {
+		if (this == FieldUnit){
+			return true;
+		}else{
+			return false;
+		}
+	}
+
+	/**
+	 * All types except for field units.
+	 * @return
+	 */
+	public boolean isAnyDerivedUnit() {
+		return ! isFieldUnit();
+	}
+	
+	/**
+	 * Any Media, may it be images, movies, sound recordings or multi media objects
+	 * @return
+	 */
+	public boolean isMedia() {
+		if (this == Media || this == StillImage || this == MovingImage || this == Multimedia	|| this == SoundRecording		){
+			return true;
+		}else{
+			return false;
+		}
+	}	
+
+	/**
+	 * This method was initially created in the former class
+	 * "DerivedUnitFacade.DerivedUnitType" for some specimen imports .
+	 * It may be extended in future. However, it may also be decoupled from
+	 * SpecimenOrObservationType to serve different use-cases. 
+	 * @param type
+	 * @return
+	 */
+	public static SpecimenOrObservationType valueOf2(String type) {
+		if (type == null) {
+			return null;
+		}
+		type = type.replace(" ", "").toLowerCase();
+		if (type.matches("(preserved)?specimen")) {
+			return PreservedSpecimen;
+		} else if (type.equals("living(being|specimen)")) {
+			return LivingSpecimen;
+		} else if (type.equals("observation")) {
+			return Observation;
+		} else if (type.equals("fossil")) {
+			return Fossil;
+		} else if (type.equals("tissuesample")) {
+			return TissueSample;
+		} else if (type.equals("dnasample")) {
+			return DnaSample;
+		} else if (type.equals("field(observation|unit)")) {
+			return FieldUnit;
+		} else if (type.equals("derivedunit")) {
+			return DerivedUnit;
+		} else if (type.equals("unknown")) {
+			return Unknown;
+		}
+		return null;
+	}
+	
+	// *************************** DELEGATE **************************************/	
+	
+		private static EnumeratedTermVoc<SpecimenOrObservationType> delegateVoc;
+		private IEnumTerm<SpecimenOrObservationType> delegateVocTerm;
+
+		static {
+			delegateVoc = EnumeratedTermVoc.getVoc(SpecimenOrObservationType.class);
+		}
+		
+		@Override
+		public String getKey(){return delegateVocTerm.getKey();}
+		
+		@Override
+	    public String getMessage(){return delegateVocTerm.getMessage();}
+
+		@Override
+	    public String getMessage(Language language){return delegateVocTerm.getMessage(language);}
+
+			
+		@Override
+	    public UUID getUuid() {return delegateVocTerm.getUuid();}
+
+		@Override
+	    public SpecimenOrObservationType getKindOf() {return delegateVocTerm.getKindOf();}
+		
+		@Override
+	    public Set<SpecimenOrObservationType> getGeneralizationOf() {return delegateVocTerm.getGeneralizationOf();}
+
+		@Override
+		public boolean isKindOf(SpecimenOrObservationType ancestor) {return delegateVocTerm.isKindOf(ancestor);	}
+
+		@Override
+	    public Set<SpecimenOrObservationType> getGeneralizationOf(boolean recursive) {return delegateVocTerm.getGeneralizationOf(recursive);}
+
+		public static SpecimenOrObservationType getByKey(String key){return delegateVoc.getByKey(key);}
+	    public static SpecimenOrObservationType getByUuid(UUID uuid) {return delegateVoc.getByUuid(uuid);}
+
+
+
+
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IArticle.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IArticle.java
index a08e6e6828..5cd3ba53b4 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IArticle.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IArticle.java
@@ -24,7 +24,7 @@ import eu.etaxonomy.cdm.strategy.cache.reference.ArticleDefaultCacheStrategy;
  * <li> "MagazineArticle"
  * </ul>
  */
-public interface IArticle extends ISectionBase, IVolumeReference, INomenclaturalReference{
+public interface IArticle extends ISection, IVolumeReference, INomenclaturalReference{
 	
 	/**
 	 * Returns the series information for this article
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IBookSection.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IBookSection.java
index 0803ccc40a..08d52e52ce 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IBookSection.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IBookSection.java
@@ -18,7 +18,7 @@ import eu.etaxonomy.cdm.strategy.cache.reference.BookSectionDefaultCacheStrategy
  * This class corresponds, according to the TDWG ontology, to the publication type
  * term (from PublicationTypeTerm): "BookSection".
  */
-public interface IBookSection extends ISectionBase, INomenclaturalReference{
+public interface IBookSection extends ISection, INomenclaturalReference{
 
 	/**
 	 * Returns this book sections book
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IInProceedings.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IInProceedings.java
index c598ca7559..377c6b29f3 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IInProceedings.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IInProceedings.java
@@ -16,7 +16,7 @@ package eu.etaxonomy.cdm.model.reference;
  * This class corresponds, according to the TDWG ontology, partially to the
  * publication type term (from PublicationTypeTerm): "SubReference".
  */
-public interface IInProceedings extends ISectionBase{
+public interface IInProceedings extends ISection{
 	
 
 	/**
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/INomenclaturalReference.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/INomenclaturalReference.java
index d54c3e382b..f4c5fbc227 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/INomenclaturalReference.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/INomenclaturalReference.java
@@ -9,6 +9,7 @@
 
 package eu.etaxonomy.cdm.model.reference;
 
+import eu.etaxonomy.cdm.model.common.IIdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 
 
@@ -16,7 +17,6 @@ import eu.etaxonomy.cdm.model.common.TimePeriod;
  * Interface providing methods for nomenclatural references. 
  * 
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:29
  */
 public interface INomenclaturalReference extends IReference{
@@ -36,4 +36,67 @@ public interface INomenclaturalReference extends IReference{
 	public String getYear();
 
 	public void setDatePublished(TimePeriod datePublished);
+	
+	
+	/**
+	 * Returns the cached value for the abbreviated representation of this reference.
+	 * The abbreviated representation will normally use the {@link #getAbbrevTitle() 
+	 * abbreviated title } instead of the {@link Reference#getTitle() full title}.
+	 * The cache may be protected.
+	 * @see #getAbbrevTitle()
+	 * @see #getTitle()
+	 * @see #isProtectedAbbrevTitleCache()
+	 * @return the abbreviated representation of this reference
+	 */
+	//TODO discuss if we move all the abbreviated title methods to another interface, e.g. IReference 
+	public String getAbbrevTitleCache();
+	
+	/**
+	 * Sets the {@link #getAbbrevTitleCache() abbreviated title cache}
+	 * 
+	 * @param abbrevTitleCache
+	 * @deprecated this method exists only for compliance with the java bean standard.
+	 * It usually has little effect as it will not protect the cache. 
+	 * Use {@link #setAbbrevTitleCache(String, boolean)} instead to protect the cache.
+	 */
+	public void setAbbrevTitleCache(String abbrevTitleCache);
+
+	/**
+	 * Sets the {@link #getAbbrevTitleCache() abbreviated title cache}.
+	 * 
+	 * @param abbrevTitleCache
+	 * @param isProtected wether or not the cache should be protected. Usually one may
+	 * want to set isProtected to <code>true</code>
+	 */
+	public void setAbbrevTitleCache(String abbrevTitleCache, boolean isProtected);
+
+	
+	/**
+	 * If true the {@link #getAbbrevTitleCache() abbreviated title cache} is not computed 
+	 * on the fly but set by {@link #setAbbrevTitleCache(String)}.
+	 * @see IIdentifiableEntity#isProtectedTitleCache()
+	 * @return true if cache is protected
+	 */
+	public boolean isProtectedAbbrevTitleCache();
+	
+	/**
+	 * Sets the protected flag for the {@link #getAbbrevTitleCache() abbreviated title cache}.
+	 * @param protectedAbbrevTitleCache
+	 */
+	public void setProtectedAbbrevTitleCache(boolean protectedAbbrevTitleCache);
+	
+
+	/**
+	 * The abbreviated title is the short form for the titlle. It is usually used
+	 * as a representation of the title of references used in a nomenclatural 
+	 * context.  
+	 * @return
+	 */
+	public String getAbbrevTitle();
+
+	/**
+	 * Sets the {@link #getAbbrevTitle() abbreviated title}.
+	 * @param abbrevTitle
+	 */
+	public void setAbbrevTitle(String abbrevTitle);
 }
\ No newline at end of file
